{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "lv_te:automatic_harvester_spawn",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/levelatics/tech/particle/particles_"
			}
		},
		"curves": {
			"variable.test": {
				"type": "linear",
				"input": "v.emitter_age",
				"horizontal_range": "v.emitter_lifetime",
				"nodes": [0, 1, 1, 1, 1]
			},
			"variable.test2": {
				"type": "linear",
				"input": "v.emitter_age",
				"horizontal_range": "v.emitter_lifetime",
				"nodes": [0, 0, 1, 1, 1]
			},
			"variable.test3": {
				"type": "linear",
				"input": "v.emitter_age",
				"horizontal_range": "v.emitter_lifetime",
				"nodes": [0, 0, 0, 1, 1]
			},
			"variable.test4": {
				"type": "linear",
				"input": "v.emitter_age",
				"horizontal_range": "v.emitter_lifetime",
				"nodes": [0, 0, 0, 0, 1]
			}
		},
		"components": {
			"minecraft:emitter_rate_steady": {
				"spawn_rate": 100,
				"max_particles": 100
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": 1
			},
			"minecraft:emitter_shape_point": {
				"offset": ["-3.5 + 7*(variable.test-variable.test3)", -0.9, "-3.5 + 7*(variable.test2-variable.test4)"]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": 3
			},
			"minecraft:particle_initial_spin": {
				"rotation": "math.random(-180, 180)",
				"rotation_rate": "v.particle_random_1*5"
			},
			"minecraft:particle_initial_speed": 0,
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": [0, "v.particle_random_1*0.2", 0],
				"linear_drag_coefficient": 1
			},
			"minecraft:particle_appearance_billboard": {
				"size": [0.2, 0.2],
				"facing_camera_mode": "rotate_xyz",
				"uv": {
					"texture_width": 128,
					"texture_height": 128,
					"uv": [15, 48],
					"uv_size": [8, 8]
				}
			},
			"minecraft:particle_appearance_tinting": {
				"color": {
					"interpolant": "v.particle_age / v.particle_lifetime",
					"gradient": {
						"0.0": "#FF111C1B",
						"0.18": "#FF84FF36"
					}
				}
			}
		}
	}
}